'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var LS = {
  getItem: function getItem(key, defaultValue) {

    var item = localStorage.getItem(key) || defaultValue;

    try {
      return JSON.parse(item);
    } catch (e) {
      return item;
    }
  },
  setItem: function setItem(key, value) {

    try {
      if (typeof value === 'string') {
        localStorage.setItem(key, value);
      } else {
        localStorage.setItem(key, JSON.stringify(value));
      }
      return true;
    } catch (e) {
      return false;
    }
  },
  clearKey: function clearKey(key) {
    return localStorage.setItem(key, undefined);
  },
  clear: function clear() {
    return localStorage.clear();
  }
};

exports.default = LS;